/*  Project leowl_4
    xor@frognet.net
    Copyright © 1996. Andrey B. Yastrebov. All Rights Reserved.

    SUBSYSTEM:    leowl_4.exe Application
    FILE:         leowl_4.cpp
    AUTHOR:       Andrey B. Yastrebov


    OVERVIEW
    ========
    Source file for implementation of leowl_4 (TApplication).
*/
#include <owl\owlpch.h>
#pragma hdrstop


#include "leowl_4.h"
#include "leowl_4e.h"                        // Definition of client class.


//{{leowl_4 Implementation}}


//////////////////////////////////////////////////////////
// leowl_4
// =====
//
leowl_4::leowl_4 () : TApplication("leowl_4")
{
}


leowl_4::~leowl_4 ()
{
}


//////////////////////////////////////////////////////////
// leowl_4
// =====
// Application intialization.
//
void leowl_4::InitMainWindow ()
{
    if (nCmdShow != SW_HIDE)
        nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

    TFrameWindow *frame = new TFrameWindow(0, GetName(),
      new leowl_4Edit(0,0,0)
		, FALSE);

    //
    // Assign ICON w/ this application.
    //
    frame->SetIcon(this, IDI_APPLICATION);

    SetMainWindow(frame);
}

int OwlMain (int , char* [])
{
    try {
        leowl_4    app;
        return app.Run();
    }
    catch (xmsg& x) {
        ::MessageBox(0, x.why().c_str(), "Exception", MB_OK);
    }

    return -1;
}
